aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2005-08-16 23:36:17 +0000
committerMike Frysinger <vapier@gentoo.org>2005-08-16 23:36:17 +0000
commitedb78cbfacb503c45224c2ef5d112a177f3c9e3c (patch)
tree3feaff0192d3ae3b74f29903881125f446bb192d
parentDont strip stuff if `file` failed #102499 (diff)
downloadportage-cvs-edb78cbfacb503c45224c2ef5d112a177f3c9e3c.tar.gz
portage-cvs-edb78cbfacb503c45224c2ef5d112a177f3c9e3c.tar.bz2
portage-cvs-edb78cbfacb503c45224c2ef5d112a177f3c9e3c.zip
forward port from 2.0 branch rar support in unpack and the die->assert fix for when using pipes
-rw-r--r--ChangeLog5
-rwxr-xr-xbin/ebuild-default-functions.sh8
2 files changed, 10 insertions, 3 deletions
diff --git a/ChangeLog b/ChangeLog
index 9c2ff3c..777f543 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,6 +1,6 @@
# ChangeLog for Portage; the Gentoo Linux ports system
# Copyright 1999-2005 Gentoo Foundation; Distributed under the GPL v2
-# $Id: ChangeLog,v 1.1003 2005/08/16 23:21:47 vapier Exp $
+# $Id: ChangeLog,v 1.1004 2005/08/16 23:36:17 vapier Exp $
MAJOR CHANGES in 2.0.51:
1. /var/cache/edb/virtuals is no longer used at all. It's calculated now.
@@ -25,6 +25,9 @@
Call gawk instead of awk so non-GNU systems work #102050 by Stephen Bennett.
Also clean up the script a bit.
+ 07 Aug 2005; Mike Frysinger <vapier@gentoo.org> bin/ebuild.sh:
+ Add support for unpacking rar archives.
+
29 Jul 2005; Mike Frysinger <vapier@gentoo.org> bin/prepallman:
Rather than use a hardcoded list and bash expansion, let find locate man
directories for us. This fixes the issues of running prepman on symlinks
diff --git a/bin/ebuild-default-functions.sh b/bin/ebuild-default-functions.sh
index 46da67b..c243ae8 100755
--- a/bin/ebuild-default-functions.sh
+++ b/bin/ebuild-default-functions.sh
@@ -2,7 +2,7 @@
# ebuild-default-functions.sh; default functions for ebuild env that aren't saved- specific to the portage instance.
# Copyright 2004-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /local/data/ulm/cvs/history/var/cvsroot/gentoo-src/portage/bin/ebuild-default-functions.sh,v 1.35 2005/08/13 23:00:32 ferringb Exp $
+# $Header: /local/data/ulm/cvs/history/var/cvsroot/gentoo-src/portage/bin/ebuild-default-functions.sh,v 1.36 2005/08/16 23:36:17 vapier Exp $
has_version()
{
@@ -112,7 +112,8 @@ unpack()
tar ${tarvars} -xzf "${srcdir}${x}" || die "$myfail"
;;
tbz2)
- bzip2 -dc "${srcdir}${x}" | tar ${tarvars} -xf - || die "$myfail"
+ bzip2 -dc "${srcdir}${x}" | tar ${tarvars} -xf -
+ assert "$myfail"
;;
ZIP|zip)
unzip -qo "${srcdir}${x}" || die "$myfail"
@@ -133,6 +134,9 @@ unpack()
bzip2 -dc "${srcdir}${x}" > ${x%.*} || die "$myfail"
fi
;;
+ RAR|rar)
+ unrar x -idq "${srcdir}/${x}" || die "$myfail"
+ ;;
*)
echo "unpack ${x}: file format not recognized. Ignoring."
;;